Bug 865578 - Master password is asked for before use and not asked for at use
Master password is asked for before use and not asked for at use
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 15:55 EDT by Mac Wendelboe
Modified: 2013-02-13 17:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:29:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mac Wendelboe 2012-10-11 15:55:30 EDT
Description of problem:
When Seamonkey starts up, it asks for the master password. When opening the Mail & Newgroups window, it doesn't ask for the master password, even though it should need the master password to unlock passwords for e-mail accounts.

Version-Release number of selected component (if applicable):
2.12.1, Gecko/20120912 Firefox/15.0.1 SeaMonkey/2.12.1

How reproducible:
Always

Steps to Reproduce:
1. In Preferences, Privacy & Security, Master Passwords, select "Every time it is needed"
2. Add some e-mail accounts that require passwords, let Seamonkey remember the passwords
3. Restart Seamonkey
4. Seamonkey asks for master password
5. Open Mail & Newsgroups
  
Actual results:
6. Seamonkey doesn't ask for master password, but access the e-mail accounts seamlessly, which indicates that the passwords are unlocked


Expected results:
4. Seamonkey should not ask for master password before it is needed
6. Seamonkey should ask for master password, when it is needed to unlock e-mail account passwords

Additional info: I'm not sure whether this bug is a general Seamonkey bug or something made by the Fedora team. In the old days I used to build Seamonkey myself (Seamonkey 1.13 on FC5), and the master password thing worked as expected then. Actually it was a requirement/recommendation by the Danish authority behind the so-called Danish public digital signature that people holding such a signature (registered in their browser) should setup their browser to ask for the master password every time the signature was used. That should prevent unauthorized access to the signature.
Comment 1 Fedora End Of Life 2013-01-16 12:39:05 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 17:29:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.